package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.microsvc.toolkit.common.response.paging.PageInfo;
import com.ym.mec.biz.dal.dao.TempDirectorTrainingCampDetailDao;
import com.ym.mec.biz.dal.entity.StudentPaymentOrder;
import com.ym.mec.biz.dal.entity.TempDirectorTrainingCampDetail;
import com.ym.mec.biz.dal.wrapper.TempDirectorTrainingCampDetailWrapper;
import com.ym.mec.common.entity.HttpResponseResult;

public interface TempDirectorTrainingCampDetailService extends IService<TempDirectorTrainingCampDetail> {

    TempDirectorTrainingCampDetailDao getDao();

    Integer applyCamp(TempDirectorTrainingCampDetailWrapper.ApplyCamp applyCamp);

    HttpResponseResult pay(TempDirectorTrainingCampDetailWrapper.PayDto payDto) throws Exception;

    Boolean orderCallback(StudentPaymentOrder order);

    IPage<TempDirectorTrainingCampDetailWrapper.TempDirectorTrainingCampDetail> queryPage(IPage<Object> page, TempDirectorTrainingCampDetailWrapper.TempDirectorTrainingCampDetailQuery queryInfo);

    TempDirectorTrainingCampDetailWrapper.TempDirectorTrainingCampDetailStat queryPageStat(TempDirectorTrainingCampDetailWrapper.TempDirectorTrainingCampDetailQuery queryInfo);
}


